Final cleaning for 4.2 release.

Initial
Stephane Bortzmeyer 23 years ago
parent 3c7a51830c
commit 5d0a4f52fd

@ -1,8 +1,11 @@
* New -a and -A options to control the proxy/cache (disable caching)
4.2.0 (2001-03-16)
* New -a and -A options to control the proxy/cache (disable caching).
Fixes bug/wish #232324
* Support for microsecond wait (uses usleep)
* New option (-p) to set socket priority (Linux only)
* New option (-P) to set IP Type of Service octet
* Bug fixes: #230384 (SSL records are different from text lines)
4.1.0 (2001-02-14)

@ -6,6 +6,9 @@ Just type "./configure", then "make", "make test" if you wish (some
tests depend on local servers and/or Internet access, interpret with
care) and then (as root if necessary), "make install".
There is also a 'make fulltest' if you want to test more things (which
may not be available on your platform).
"configure" has some options:
--disable-http (suppress the HTTP support)
--disable-smtp (suppress the SMTP support)
@ -19,12 +22,6 @@ care) and then (as root if necessary), "make install".
Standard "autoconf/configure" options are supported such as --prefix
to set the installation root directory.
If you get messages about va_start like:
error.c:29: macro `va_start' used with just one arg
it is a bug in echoping (triggered by C's inability to do modular
programming). Email the author and, in the meantime, configure
--without-ssl.
If 'echoping -h' replies with a "404" error while the file really exists,
check first that you use the FQDN of the server on the command line
(this is a consequence of the HTTP 1.1 protocol, not a bug in echoping

@ -8,12 +8,41 @@ echoping_SOURCES = echoping.c error.c readline.c writen.c util.c http.c icp.c HT
echoping_LDADD =
DOCS=DETAILS
TESTS=test-echoping-local test-echoping-remote test-echoping-icp
MORE_TESTS=test-echoping-crypto
TESTS=test-echoping-local test-echoping-remote
MORE_TESTS=test-echoping-proxy test-echoping-icp test-echoping-crypto test-echoping-tos
test: check
tests: check
fulltest: test moretest
moretests: moretest
moretest: $(MORE_TESTS)
@failed=0; all=0; \
srcdir=$(srcdir); export srcdir; \
for tst in $(MORE_TESTS); do \
if test -f $$tst; then dir=.; \
else dir="$(srcdir)"; fi; \
if $(TESTS_ENVIRONMENT) $$dir/$$tst; then \
all=`expr $$all + 1`; \
echo "PASS: $$tst"; \
elif test $$? -ne 77; then \
all=`expr $$all + 1`; \
failed=`expr $$failed + 1`; \
echo "FAIL: $$tst"; \
fi; \
done; \
if test "$$failed" -eq 0; then \
banner="All $$all tests passed"; \
else \
banner="$$failed of $$all tests failed"; \
fi; \
dashes=`echo "$$banner" | sed s/./=/g`; \
echo "$$dashes"; \
echo "$$banner"; \
echo "$$dashes"; \
test "$$failed" -eq 0
debug:
$(MAKE) CFLAGS='-g -O0'

@ -72,8 +72,8 @@ echoping_SOURCES = echoping.c error.c readline.c writen.c util.c http.c icp.c HT
echoping_LDADD =
DOCS = DETAILS
TESTS = test-echoping-local test-echoping-remote test-echoping-icp
MORE_TESTS = test-echoping-crypto
TESTS = test-echoping-local test-echoping-remote
MORE_TESTS = test-echoping-proxy test-echoping-icp test-echoping-crypto test-echoping-tos
EXTRA_DIST = $(man_MANS) $(TESTS) $(DOCS) $(MORE_TESTS)
ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
@ -469,6 +469,35 @@ maintainer-clean-generic clean mostlyclean distclean maintainer-clean
test: check
tests: check
fulltest: test moretest
moretests: moretest
moretest: $(MORE_TESTS)
@failed=0; all=0; \
srcdir=$(srcdir); export srcdir; \
for tst in $(MORE_TESTS); do \
if test -f $$tst; then dir=.; \
else dir="$(srcdir)"; fi; \
if $(TESTS_ENVIRONMENT) $$dir/$$tst; then \
all=`expr $$all + 1`; \
echo "PASS: $$tst"; \
elif test $$? -ne 77; then \
all=`expr $$all + 1`; \
failed=`expr $$failed + 1`; \
echo "FAIL: $$tst"; \
fi; \
done; \
if test "$$failed" -eq 0; then \
banner="All $$all tests passed"; \
else \
banner="$$failed of $$all tests failed"; \
fi; \
dashes=`echo "$$banner" | sed s/./=/g`; \
echo "$$dashes"; \
echo "$$banner"; \
echo "$$dashes"; \
test "$$failed" -eq 0
debug:
$(MAKE) CFLAGS='-g -O0'

2
SRC/configure vendored

@ -732,7 +732,7 @@ fi
PACKAGE=echoping
VERSION=4.2.0-BETA
VERSION=4.2.0
if test "`cd $srcdir && pwd`" != "`pwd`" && test -f $srcdir/config.status; then
{ echo "configure: error: source directory already configured; run "make distclean" there first" 1>&2; exit 1; }

@ -3,7 +3,7 @@ dnl $Id$
dnl Process this file with autoconf to produce a configure script.
AC_INIT(echoping.h)
AC_CANONICAL_HOST
AM_INIT_AUTOMAKE(echoping, 4.2.0-BETA)
AM_INIT_AUTOMAKE(echoping, 4.2.0)
AM_CONFIG_HEADER(config.h)
dnl User options

@ -5,7 +5,7 @@
echo ""
echo "Since this tests tries remote servers, a failure is not always "
echo " echoping's fault: it may be a network problem. Also, it depends on"
echo " a local ICP cache name 'cache'."
echo " a local ICP cache named 'cache'."
./echoping -i http://www.pasteur.fr/ cache

@ -0,0 +1,23 @@
#!/bin/sh
# $Id$
echo ""
echo "Since this tests tries remote servers, a failure is not always "
echo " echoping's fault: it may be a network problem. Also, it depends on"
echo " a local proxy cache named 'cache'."
if [ "x$PROXY_PORT" = "x" ]; then
PROXY_PORT=3128
fi
./echoping -h http://www.netaktiv.com/ cache:$PROXY_PORT
./echoping -h http://www.freenix.org/ cache:$PROXY_PORT
./echoping -a -h http://www.freenix.org/ cache:$PROXY_PORT
./echoping -A -h http://www.freenix.org/ cache:$PROXY_PORT
Loading…
Cancel
Save